Issue #5 new

segfault

Anonymous created an issue

Hi! I compiled your great application under ubuntu 10.04 LTS and it works so far. But for more complex apk files i get often:

--> Parsing /root/apkinspector/temp/unzip/r.class...The class file version is 50.0 (only 45.3, 46.0 and 47.0 are supported) Generating /root/apkinspector/temp/java/r.java Segmentation fault

<--

Any ideas to avoid this?

thx,

Oliver

Comments (2)

  1. congzheng

    (Reply via zc19...@gmail.com):

    Hi Thanks for your feedback. This problem is caused by the jad tool. I use the jad to decompile to get the java source codes. Now, I haven't to take some time to solve this problem . Maybe you can download a latest the Jad package and have a try.

    Thanks again.

    Cong Zheng

    2011/12/14 Bitbucket <issues-reply@bitbucket.org>

  2. congzheng

    (Reply via zc19...@gmail.com):

    Please go to the http://code.google.com/p/apkinspector to download the latest code. The code in Bitbucket is not the latest version.

    Thanks

    2011/12/18 Cong Zheng <zc1988104@gmail.com>

    Hi Thanks for your feedback. This problem is caused by the jad tool. I use the jad to decompile to get the java source codes. Now, I haven't to take some time to solve this problem . Maybe you can download a latest the Jad package and have a try.

    Thanks again.

    Cong Zheng

    2011/12/14 Bitbucket <issues-reply@bitbucket.org>

  3. Log in to comment